--- title: "Request scene summary" slug: "mi-request-scene-summary" updated: 2026-10-08T04:14:09Z published: 2026-10-08T04:14:09Z canonical: "api.ncloud-docs.com/mi-request-scene-summary" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Request scene summary Available in VPC Request a VLM-based scene summary using the latest index for an asset. Since the latest index for each asset is automatically selected, request the scene summary without specifying an index ID. Once the scene summary is complete, a natural language text summary will be generated for each scene. Note - Scene summaries can only be requested for assets that have been fully indexed. - The initial analysis must be run on the entire scene. Once the full analysis is complete, you can perform a partial reanalysis by specifying specific scenes. - If a scene summary is already in progress, a new request will fail. - The language (`locale`) for the summary results can only be specified during the full analysis and is fixed for subsequent scene summaries. It cannot be specified during a partial reanalysis and will inherit the existing language. Language changes are only possible through a full reanalysis. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/scene-summary | ### Request headers For information about the request headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scenes` | Array | Optional | List of scene IDs to be reanalyzed - Available only after the initial full analysis has been completed. - If not entered, all scenes in the index will be analyzed. - If entered, only the specified scenes will be reanalyzed, and only the summaries for those scenes will be updated (summaries for other scenes will remain unchanged). | | `locale` | String | Optional | Summary result language - BCP 47 format (`ko-KR`, `en-US`, `ja-JP`). Default: `ko-KR` - Can only be specified during a full analysis (when `scenes` is not specified); the specified value is fixed for the scene summary. - Can't be specified during a partial reanalysis (when `scenes` is specified) - inherits the existing fixed language. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/scene-summary' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "scenes": [12, 13] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Scene summary request information | | `result.sceneSummaryId` | Integer | - | Scene summary request ID | | `result.indexId` | Integer | - | Analysis target index ID - The latest index for the asset is determined automatically. | | `result.locale` | String | - | Summary result language - BCP 47 format (`ko-KR`, `en-US`, `ja-JP`). | | `result.targetScenes` | Array | - | List of scene IDs to be analyzed - `null` if it is a full analysis | | `result.createdTime` | String | - | Analysis request creation date and time - ISO 8601 format | | `result.createdUserName` | String | - | Username of the user who requested the analysis | ### Response status codes For information about the response status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). | Error code | Message | Description | | --- | --- | --- | | 400 | Invalid scenes | Invalid scene ID | | 400 | Full analysis required before partial analysis | `scenes` specified while full analysis is incomplete | | 400 | Language cannot be specified for partial analysis | `locale` specified for partial reanalysis | | 409 | Scene summary already in progress | A scene summary is already in progress. | ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "sceneSummaryId": 101, "indexId": 23844, "locale": "ko-KR", "targetScenes": [12, 13], "createdTime": "2026-07-01T11:00:00", "createdUserName": "username" } } ```